Creates new labels.
POST
v1/accounts/{accountId}/labels
Creates new labels, maximum amount per request is 20.
Resource Information
| Method and URI | POST https://developer.api.autodesk.com/parameters/v1/accounts/{accountId}/labels |
| Authentication Context | user context required |
| Required OAuth Scopes | data:create |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow. |
| Content-Type* string | Must be application/json |
| Region string | The region the hub’s data is provisioned in.
Currently supports US, EMEA, AUS, IND, DEU, JPN, CAN, and GBR. Default is US. |
* Required
Request
URI Parameters
| accountId string: UUID or string: b.UUID | The Autodesk Forma hub ID. |
| groupId string | The group ID. Currently, only one group is supported, and group id is equal to hub id. (Supporting multiple groups is considered for future enhancement). |
| collectionId string | The collection ID. |
Request
Body Structure
Object:Array
| name string | The new label name. |
| description string | The new label description. |
Response
HTTP Status Code Summary
| 201 Created | Successfully created new labels. |
| 400 Bad Request | The request could not be understood by the server due to malformed syntax. |
| 401 Unauthorized | Request has not been applied because it lacks valid authentication credentials for the target resource. |
| 403 Forbidden | The server understood the request but refuses to authorize it. |
| 404 Not Found | The resource cannot be found. |
| 406 Not Acceptable | The server cannot produce a response matching the list of acceptable values defined in the request. |
| 410 | Access to the target resource is no longer available. |
| 429 Too Many Requests | User has sent too many requests in a given amount of time. |
| 500 Internal Server Error | An unexpected error occurred on the server. |
| 503 Service Unavailable | Server is not ready to handle the request. |
Response
Body Structure (201)
Expand all
| results array: object | The label creation results. |
| id string | The label ID. |
| name string | The label name. |
| description string | The label description. |
Example
Successfully Created the label(s) (201)
Request
curl -v 'https://developer.api.autodesk.com/parameters/v1/accounts/009777bb-e1e5-4577-9800-0789677e4616/labels' \
-X 'POST' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a' \
-H 'Content-Type: application/json' \
-d '[
{
"name": "doors",
"description": ""
},
{
"name": "windows",
"description": "all parameters that relate to window families"
}
]'
Show More
Response
{
"results": [
{
"id": "ACMT-69415-CEVT-22201",
"name": "doors",
"description": ""
},
{
"id": "ACNL-88665-BCSL-99749",
"name": "windows",
"description": "all parameters that relate to window families"
}
]
}
Show More